
Testing - Bug # 2757

Status: Resolved Priority: Must have
Author: Malte Jansen Category:
Created: 2009-03-04 Assigned To: Bastian Waidelich
Updated: 2010-10-20 Due date:
Subject: ClassFilter is not working on windows
Description

Comparing the ClassName with the FileName does not work, because of non UnixStyledPaths in the

Class: AbstractTestRunner
Function: readDirectories($testcaseFilenames, $testsDirectoryIterator)
Just transform the Path to UnixStyled before the check.
$fileNameWithPath = \F3\FLOW3\Utility\Files::getUnixStylePath($testsDirectoryIterator->getPathname());
if (preg_match('/\/' . str_replace('\\', '\\/', $this->testcaseClassName) . '\.php/', $fileNameWithPath) === 1) {

Associated revisions
Revision 81a6a511 - 2009-04-17 14:41 - Bastian Waidelich

Testing: Replace backslashes by forward slashes in paths returned by directory iterator in order to make the test class filter work on windows.
Resolves #2757
Testing: The checkbox "run Code Coverage Analysis" in web-based testrunner is shown even if Xdebug is not available but it is disabled. A tooltip
makes clear that Xdebug is required. Resolves #3110

History
#1 - 2009-03-16 16:58 - Bastian Waidelich
- File Testing_2757_01.patch added

Attached is a patch that resolves the problem. It fixes two other issues that led to apache crashes on windows

#2 - 2009-04-17 09:52 - Bastian Waidelich
- Assigned To set to Bastian Waidelich
- % Done changed from 0 to 80
- Estimated time deleted (0.10)

#3 - 2009-04-17 15:00 - Bastian Waidelich
- Status changed from New to Resolved
- % Done changed from 80 to 100

Applied in changeset r2166.

Files
Testing_2757_01.patch 1.9 kB 2009-03-16 Bastian Waidelich
